package com.steerinfo.pretrack.prerailwayscale.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.pretrack.prerailwayscale.model.PreRailwayScale;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * PreRailwayScale服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-21 09:55
 * 类描述
 * 修订历史：
 * 日期：2020-10-21
 * 作者：generator
 * 参考：
 * 描述：PreRailwayScale服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IPreRailwayScaleService extends IBaseService<PreRailwayScale, String>{
    String checkandadd(PreRailwayScale model);

    PreRailwayScale checkandupdate(PreRailwayScale model);

    int abolish(List<PreRailwayScale> models);

    int recover(List<PreRailwayScale> models);

    int combined(List<PreRailwayScale> models);

    int remove(List<PreRailwayScale> models);

    PageList<PreRailwayScale> doQueryWf(HashMap param, Integer pageNum, Integer pageSize);

    PageList<PreRailwayScale> selectView(HashMap param, Integer pageNum, Integer pageSize);

    PageList<PreRailwayScale> selectlist(String railwayNo, Integer pageNum, Integer pageSize);

    List<PreRailwayScale> doQueryByCar(HashMap param);

    void InsertRailScale();

    List<PreRailwayScale> doQueryJLByCar(HashMap param);

    PageList<PreRailwayScale> likeByDesc(HashMap param, Integer pageNum, Integer pageSize);
    PageList<PreRailwayScale> likeDesc(HashMap param, Integer pageNum, Integer pageSize);
    PageList<PreRailwayScale> likeByList(HashMap param, Integer pageNum, Integer pageSize);
    List<PreRailwayScale> noPage(HashMap param);
    List<PreRailwayScale> noPageDesc(HashMap param);

    //铁水吊钩秤业务
    List<PreRailwayScale> hookScaleByDesc(HashMap param);
}